Save a draft revision
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
}
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}/revisions"
payload = { "code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: {
bundle: '<string>',
entrypoint: '<string>',
source: {repo: '<string>', branch: '<string>', commit: '<string>', file: '<string>'}
}
})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}/revisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => [
'bundle' => '<string>',
'entrypoint' => '<string>',
'source' => [
'repo' => '<string>',
'branch' => '<string>',
'commit' => '<string>',
'file' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}/revisions"
payload := strings.NewReader("{\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/{id}/revisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}/revisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
}
},
"evicted": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
}
}
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitor definitions
Save a draft revision
Does not change the revision scheduled runs execute. Reuses a draft with the same digest.
POST
/
api
/
v1
/
monitors
/
{id}
/
revisions
Save a draft revision
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
}
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}/revisions"
payload = { "code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: {
bundle: '<string>',
entrypoint: '<string>',
source: {repo: '<string>', branch: '<string>', commit: '<string>', file: '<string>'}
}
})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}/revisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => [
'bundle' => '<string>',
'entrypoint' => '<string>',
'source' => [
'repo' => '<string>',
'branch' => '<string>',
'commit' => '<string>',
'file' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}/revisions"
payload := strings.NewReader("{\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/{id}/revisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}/revisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
}
},
"evicted": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
}
}
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Authorizations
API key (dh_live_...) or Auth0 JWT token
Headers
Path Parameters
Body
application/json
Bundle digest and entrypoint to publish as the live revision
Show child attributes
Show child attributes
Response
OK
Draft revision, and the draft discarded when the cap was full
Show child attributes
Show child attributes